import { useQuery } from "@tanstack/react-query";
import { queryKeys } from "./keys";
import { studentProgressService } from "@/services/student-progress.service";
import type { PaginationParams } from "@/types";

export function useStudentProgressList(params?: PaginationParams) {
  return useQuery({
    queryKey: queryKeys.studentProgress.list(params),
    queryFn: () => studentProgressService.listProgress(params),
  });
}
